﻿@font-face {
    font-family: Sahel;
    src: url('Sahel-WOL.woff2') format('woff2'), url('/fonts/Sahel-WOL.woff') format('woff');
    font-weight: normal;
}

@font-face {
    font-family: Sahel;
    src: url('Sahel-SemiBold-WOL.woff2') format('woff2'), url('/fonts/Sahel-SemiBold-WOL.woff') format('woff');
    font-weight: 700;
}

@font-face {
    font-family: Sahel;
    src: url('Sahel-Light-WOL.woff2') format('woff2'), url('/fonts/Sahel-Light-WOL.woff') format('woff');
    font-weight: 300;
}

:root {
    --maxWidth: 900px;
    --cP: #1aac7a;
    --cPD: #158a61;
    --cPB: #d3f8eb;
    --cL: #4183c4;
    --cB: #eee;
    --cSuccess: #2c662d;
    --cSuccessBG: #fcfff5;
    --cSuccessBR: #a3c293;
    --cNegative: #9f3a38;
    --cNegativeBG: #fff6f6;
    --cNegativeBR: #e0b4b4;
    --cInfo: #276f86;
    --cInfoBG: #f8ffff;
    --cInfoBR: #a9d5de;
    --cWarning: #ccb200;
    --cWarningBG: #fffaf3;
    --cWarningBR: #c9ba9b;
}

html {
    scroll-behavior: smooth;
}

body, button, input, select {
    font-family: Sahel, 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

body {
    margin: 0 auto;
}

    body.noscroll {
        overflow: hidden;
    }

h1 {
    color: var(--cP);
    text-align: center;
    margin: 20px 5px;
}

h2 {
    margin-bottom: 3px;
    border-bottom: 1px solid #f1f1f1;
}

h3 {
    margin-bottom: 3px;
}

a {
    text-decoration: none;
    color: var(--cL);
}

ul {
    padding-inline-start: 25px;
    margin-top: 0;
}

table,
td,
th {
    border-collapse: collapse;
    border: 1px solid var(--cB);
}

td {
    padding: 1px 5px;
}

    td > ul {
        margin: 0;
    }

.wrapper {
    max-width: var(--maxWidth);
    margin: 0 auto;
    padding: 10px;
}

.narrowWrapper {
    max-width: 400px;
    margin: 0 auto;
    padding: 0 10px;
}

/* index section */
.homeIntro {
    text-align: center;
    padding: 50px 10px;
}

    .homeIntro > .title {
        font-size: 50px;
        color: var(--cP);
    }


.siteTitle {
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
}

.subtitle {
    font-size: 20px;
    padding: 20px 0;
    text-align: center;
}

.index-sections {
    background-color: #fafafe;
}

.index-header {
    font-size: 24px;
    text-align: center;
    padding-top: 30px;
    font-weight: bold;
}

.index-boxes {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    padding: 20px 0;
}

.index-box {
    width: 200px;
    border: 1px solid var(--cB);
    border-radius: 5px;
    text-align: center;
    padding: 10px;
}

    .index-box > a {
        font-weight: bold;
        font-size: 20px;
    }

.box-body {
    padding: 10px 0;
    font-size: 18px;
    color: #444;
}

section {
    padding: 35px 0;
}

.index {
    display: grid;
    justify-items: center;
    max-width: var(--maxWidth);
    grid-column-gap: 30px;
    margin: 0 auto;
    align-items: center;
    padding: 20px 10px;
    text-align: center;
}

    .index.odd {
        grid-template-areas: "body media";
        grid-template-columns: 2fr 3fr;
    }

    .index.even {
        grid-template-areas: "media body";
        grid-template-columns: 3fr 2fr;
    }

@media screen and (max-width: 700px) {
    .index.odd, .index.even {
        text-align: center;
        grid-template-areas: "body" "media";
        grid-template-columns: 1fr;
        padding: 20px 20px;
    }

    section {
        padding: 10px 0;
    }
}

.index > .media {
    grid-area: media;
    user-select: none;
}

    .index > .media > img, .media > video {
        width: 100%;
        border-radius: 5px;
        box-shadow: 2px 2px 15px 0 #ddd;
    }

.index > .body {
    grid-area: body;
    padding: 20px 0;
    font-size: 22px;
    color: var(--cP);
}

    .index > .body > ul {
        text-align: justify;
    }

.index-stats {
    display: flex;
    justify-content: center;
}

.stat {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
    text-align: center;
}

    .stat > .value {
        font-size: 40px;
    }

    .stat > .label {
        font-size: 18px;
    }

/*slider*/
.dot {
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 10px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}

    .dot.active, .dot:hover {
        background-color: var(--cP);
    }

.quotes {
    max-width: var(--maxWidth);
    padding: 0 10px;
    margin: 80px auto 20px auto;
}

.quote {
    display: flex;
    flex-direction: column;
    background: #fff;
    padding: 20px 5px;
    border-radius: 5px;
    border: 1px solid var(--cB);
    box-shadow: 0 5px 15px 0 #ddd;
    text-align: center;
}

.avatar > img {
    margin-top: -60px;
    height: 80px;
    border-radius: 50%;
}

blockquote {
    color: #888;
    font-size: 14px;
    margin-inline-start: 15px;
    margin-inline-end: 15px;
}

.personName {
    margin-top: auto;
    font-weight: bold;
}

.personPosition {
    font-size: 16px;
    color: #888;
}

/* header */
header {
    max-width: var(--maxWidth);
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
}

i.icon.logo {
    color: var(--cP);
    font-size: 30px;
    padding: 5px;
}

.navEnd {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navButton {
    background: var(--cP);
    color: #fff;
    margin: 2px 5px;
    padding: 2px 10px;
    border-radius: 5px;
    transition: background 0.5s;
}

    .navButton:hover {
        background: var(--cPD);
    }

.navButton2 {
    background: #fff;
    color: var(--cP);
    border: 1px solid var(--cP);
    margin: 2px 5px;
    padding: 2px 10px;
    font-weight: bold;
    border-radius: 5px;
    transition: background 0.2s;
}

    .navButton2:hover {
        background: var(--cPD);
        color: #fff;
    }

.navItem {
    color: #555;
    padding-inline-end: 20px;
    font-weight: bold;
}

    .navItem:hover {
        color: var(--cP);
    }


#hamburger {
    padding: 10px;
    z-index: 20;
    display: none;
}

@media screen and (max-width: 600px) {
    #hamburger {
        display: block;
        color: #555;
    }

    .navEnd {
        position: fixed;
        justify-content: flex-end;
        flex-direction: column-reverse;
        width: 200px;
        height: 100%;
        padding-top: 40px;
    }

        .navEnd.rtl {
            left: -100%;
        }

        .navEnd.ltr {
            right: -100%;
        }

        .navEnd.opend {
            background-color: #eee;
        }

            .navEnd.opend.rtl {
                left: 0;
            }

            .navEnd.opend.ltr {
                right: 0;
            }

    .navItem {
        padding: 10px;
    }

    .navButton {
        margin: 10px;
    }

    .navButton2 {
        margin: 10px;
    }
}
/* navMenu */
.navMenu {
    position: relative;
    display: inline-block;
    padding: 0 5px;
}

.navMenuB {
    cursor: pointer;
    user-select: none;
}

    .navMenuB::after {
        content: ' ▼';
        font-size: 12px;
        color: #888;
    }

.navMenuM {
    position: absolute;
    z-index: 10;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    text-align: start;
    white-space: nowrap;
    user-select: none;
    right: auto;
    left: 0;
}

    .navMenuM.rtl {
        right: auto;
        left: 0;
    }

    .navMenuM.ltr {
        right: 0;
        left: auto;
    }

    .navMenuM a {
        color: #888;
        display: block;
        cursor: pointer;
        background-color: #fff;
        padding: 10px;
        text-decoration: none;
        user-select: none;
    }

        .navMenuM a:hover {
            color: #fff;
            background: #888;
        }

    .navMenuM div {
        padding: 5px 15px;
    }

/*dropdown*/
.dropdown {
    position: relative;
    display: inline-block;
}

.dropdownb {
    cursor: pointer;
    user-select: none;
}

    .dropdownb::after {
        content: ' ▼';
        font-size: 12px;
        color: #888;
    }

.dropdownm {
    visibility: hidden;
    position: absolute;
    z-index: 10;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    text-align: start;
    white-space: nowrap;
    user-select: none;
    right: auto;
    left: 0;
}

.dropdown:hover .dropdownm {
    visibility: visible;
}

.dropdownm a {
    color: #888;
    display: block;
    cursor: pointer;
    background-color: #fff;
    padding: 5px 15px;
    text-decoration: none;
    user-select: none;
}

    .dropdownm a:hover {
        color: var(--cP);
    }

.dropdownm div {
    padding: 5px 15px;
}

/* */
.section {
    padding: 20px;
}

footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    user-select: none;
    margin-top: 20px;
    padding: 20px 0;
    color: var(--cB);
    background-color: #555;
}

    footer a {
        color: var(--cB);
    }

.footer-link {
    padding: 10px 0;
}

    .footer-link > a {
        padding: 0 10px;
    }

.copyright {
    direction: ltr;
}

.socialmedia {
    padding: 10px 0;
}

    .socialmedia > a {
        padding: 5px 10px;
    }

img.center {
    height: 150px;
    display: block;
    margin: 0 auto;
    text-align: center;
}

.article {
    color: #555;
    max-width: var(--maxWidth);
    min-height: 500px;
    margin: 0 auto;
    padding: 10px;
}

    .article > ul, ol {
        text-align: justify;
    }

p {
    margin-top: 0;
    margin-bottom: 5px;
    text-align: justify;
    text-indent: 20px;
}

.imgArticle {
    border: 1px solid var(--cB);
    border-radius: 5px;
    width: 150px;
    float: left;
    margin-inline-start: 10px;
    padding: 5px;
    background-color: #fff;
}

.metas {
    display: flex;
    justify-content: center;
    color: #888;
    font-size: 14px;
    padding-bottom: 15px;
}

    .metas > div {
        padding: 0 10px;
    }

.ltr {
    direction: ltr;
    text-align: start;
}

del {
    color: red;
}

/* Forms */

.bigbutton {
    padding: 5px 15px;
    color: #fff;
    background: var(--cP);
    border-radius: 5px;
    font-size: 16px;
    transition: background 0.2s;
}

    .bigbutton i.icon {
        font-size: 24px;
    }

    .bigbutton:hover {
        background: var(--cPD);
    }

.loginOr {
    width: 100%;
    text-align: center;
    border-bottom: 2px solid #ddd;
    line-height: 0.1em;
    margin: 30px 0;
}

    .loginOr > span {
        background: #fff;
        padding: 0 10px;
    }

div.error {
    color: #f54141;
    grid-column: 1/span 2;
    text-align: center;
    padding-bottom: 5px;
    font-size: 14px;
}

#googleform {
    display: flex;
    justify-content: center;
}

.fields {
    padding: 5px;
}

    .fields > .field {
        display: grid;
        grid-template-columns: auto 1fr;
        align-items: center;
        margin: 2px;
        padding: 5px 2px;
    }

    .fields > .field-block {
        margin: 5px;
    }

.field-block textarea, .field-block input, .field-block label {
    width: 100%;
    display: block;
}

.field input[type="text"] {
    width: 100%;
    box-sizing: border-box;
}

.field.center {
    grid-template-columns: auto;
    justify-items: center;
}

.fields > .field > label {
    padding: 5px;
}

.required:after {
    content: " *";
    color: red;
}

select, input, textarea {
    border: 1px solid #eee;
    border-radius: 5px;
    line-height: 2;
    padding: 5px;
    outline: none;
}

select {
    width: 100%
}

    select:focus, input:focus, textarea:focus {
        border: 1px solid var(--cL);
    }

textarea {
    width: 100%;
    box-sizing: border-box;
}

select, input[type="text"], input[type="password"], input[type="email"] {
    flex: 1;
    box-sizing: border-box;
}

button {
    background-color: var(--cP);
    color: #fff;
    padding: 5px 10px;
    border-radius: 5px;
    border: none;
    cursor: pointer;
}

input[type=checkbox] {
    transform: scale(1.5);
    padding: 10px;
}

.link {
    text-align: center;
    font-size: 16px;
    padding: 5px;
}

.captcha {
    text-align: center;
}

    .captcha > img {
        border: 1px solid var(--cB);
        border-radius: 5px
    }

.required:after {
    content: " *";
    color: red;
}
/*alerts*/
.alert {
    padding: 20px;
    margin: 10px;
    border-radius: 5px;
    text-align: center;
    font-weight: 700;
}

    .alert.success {
        color: var(--cSuccess);
        border: 1px solid var(--cSuccessBR);
        background-color: var(--cSuccessBG);
    }

    .alert.negative {
        color: var(--cNegative);
        border: 1px solid var(--cNegativeBR);
        background-color: var(--cNegativeBG);
    }

    .alert.info {
        color: var(--cInfo);
        border: 1px solid var(--cInfoBR);
        background-color: var(--cInfoBG);
    }

    .alert.warning {
        color: var(--cWarning);
        border: 1px solid var(--cWarningBR);
        background-color: var(--cWarningBG);
    }

/* pricing */

.plans {
    display: grid;
    grid-column-gap: 20px;
    grid-template-columns: 1fr 1fr;
    margin: 20px 0;
}

@media screen and (max-width: 700px) {
    .plans {
        grid-row-gap: 10px;
        grid-template-columns: 1fr;
        margin: 20px 0;
    }

    .plan {
        margin-top: 20px;
    }
}

.plan {
    padding: 20px 10px;
    border-radius: 5px;
    border: 1px solid var(--cB);
    box-shadow: 0 5px 15px 0 #ddd;
}

.planHeading {
    height: 140px;
}

.planTitle {
    font-weight: bold;
    font-size: 20px;
    text-align: center;
    padding: 15px;
}

.planDesc {
    text-align: center;
    padding: 5px;
    font-size: 14px;
}

.planSpecs {
    border-top: 1px solid var(--cB);
}

    .planSpecs > div {
        padding-inline-start: 10px;
        margin: 10px 0;
    }

    .planSpecs > ul {
        list-style-type: none;
        text-align: start;
    }

    .planSpecs > ul {
        padding-inline-start: 8px;
    }

        .planSpecs > ul > li::before {
            content: "✓";
            padding-inline-end: 8px;
            font-weight: bold;
            color: var(--cP);
        }

        .planSpecs > ul > li.negative::before {
            content: "ꓫ";
            padding-inline-end: 8px;
            font-weight: bold;
            color: red;
        }

.planButton {
    text-align: center;
    padding: 5px 10px;
    margin-bottom: 15px;
    border-radius: 5px;
}

.planPrice {
    font-size: 14px;
    color: #555;
    text-align: center;
    padding: 20px 10px;
}


.kbd {
    height: 100px;
    border-radius: 5px;
}

.kbds {
    display: flex;
    flex-wrap: wrap;
}

    .kbds > div {
        padding: 5px;
    }

/*Library*/
.library {
    margin: 5px;
    display: flex;
    flex-direction: column;
    border: 1px solid var(--cB);
    border-radius: 5px;
    font-size: 14px;
}

.libItem {
    display: grid;
    grid-column-gap: 5px;
    grid-template-columns: 3fr 2fr 2fr;
    align-items: center;
    padding: 10px 5px;
}

    .libItem:nth-child(odd) {
        background-color: #f9f9f9;
    }

    .libItem > div {
        padding: 5px;
    }

.itemTitle {
    font-weight: bold;
}

.itemAuthor {
}

.itemPublished {
    font-size: 12px;
}

.libHeader {
    font-weight: bold;
    background-color: #aee;
    padding: 5px;
}

@media screen and (max-width: 600px) {
    .libItem {
        display: block;
    }

    .itemAuthor {
        text-align: end;
    }

    .itemPublished {
        text-align: end;
    }
}



.btn-google {
    display: inline-flex;
    align-items: center;
    margin: 5px;
    color: #757575;
    border-radius: 2px;
    box-shadow: 0 2px 4px 0 rgb(0 0 0 / 25%);
    cursor: pointer;
    text-align: center;
    transition: box-shadow 0.3s ease;
}

    .btn-google:hover {
        box-shadow: 0 0 3px 3px rgb(66 133 244 / 30%);
    }

    .btn-google:active {
        background-color: #eee;
    }

    .btn-google > div {
        padding-inline-start: 5px;
        padding-inline-end: 20px;
    }

.paymentVerified {
    padding: 30px 0;
    display: grid;
    align-items: center;
    gap: 30px;
    justify-items: center;
}
/**/
ol.sparse li {
    padding-top: 10px;
}

ol.sparse h3 {
    margin-block-end: 0;
    margin-inline-start: -1em;
}

del {
    background-color: #ffa5a5;
    text-decoration: none;
    padding: 0 2px;
}

ins {
    background-color: #8de900;
    text-decoration: none;
    padding: 0 2px;
}

u {
    color: #355cdb;
    font-weight: bold;
    text-decoration: none;
    padding: 0 1px;
}

c {
    color: var(--cP);
    font-weight: bold;
    text-decoration: none;
    padding: 0 1px;
}

q {
    display: block;
    color: #888;
    font-style: italic;
}
details {
    margin: 5px 0;
    padding: 0 5px;
    border-radius: 5px;
    background: var(--cInfoBG);
    color:var(--cInfo);
    border-color: var(--cInfoBR);
    text-align: center;
}

summary {
    cursor: pointer;
    margin-bottom: 10px;
}